﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Reporting;
using Infragistics.Windows.DataPresenter;

namespace WPFReportingIssue
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

           

        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            XamDataGrid XamDataGrid1 = new XamDataGrid();
            XamDataGrid1.BindToSampleData = true;
            StackPanel stackPanel = new StackPanel();
            stackPanel.Children.Add(XamDataGrid1);
            XamReportPreview docViewer = new XamReportPreview();
            stackPanel.Children.Add(docViewer);
            ReportProgressControl progressInfo = new ReportProgressControl();
            stackPanel.Children.Add(progressInfo);

            this.Content = stackPanel;

            // 1. Create Report object
            Report reportObj = new Report();

            // 2. Create EmbeddedVisualReportSection section. 
            // Put the grid you want to print as a parameter of section's constructor
            EmbeddedVisualReportSection section = new EmbeddedVisualReportSection(XamDataGrid1);

            // 3. Add created section to report's section collection
            reportObj.Sections.Add(section);

            // Optional. If you have progress indicator set its Report property to created report
            progressInfo.Report = reportObj;

            // 4. Generate Preview 
            docViewer.GeneratePreview(reportObj, false, true);

            //Optional. Make XamReportPreciew content visible . It is true by default.
            docViewer.IsContentVisible = true;

            // 5. Call print method
            DocumentViewer doc = docViewer.DocumentViewer;
            doc.Focus();
        }
    }
}
